# Uses of Class
java.security.cert.CertPath

Packages that use CertPath
Package
Description
java.security
Provides the classes and interfaces for the security framework.
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.
jdk.security.jarsigner
This package defines APIs for signing jar files.

## Uses of CertPath in java.security

Methods in java.security that return CertPath
Modifier and Type
Method
Description
`CertPath`
CodeSigner.`getSignerCertPath()`
Returns the signer's certificate path.
`CertPath`
Timestamp.`getSignerCertPath()`
Returns the certificate path for the Timestamping Authority.
Constructors in java.security with parameters of type CertPath
Modifier
Constructor
Description
``
`CodeSigner(CertPath signerCertPath, Timestamp timestamp)`
Constructs a CodeSigner object.
``
`Timestamp(Date timestamp, CertPath signerCertPath)`
Constructs a Timestamp.

## Uses of CertPath in java.security.cert

Methods in java.security.cert that return CertPath
Modifier and Type
Method
Description
`CertPath`
CertificateFactorySpi.`engineGenerateCertPath(InputStream inStream)`
Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream.
`CertPath`
CertificateFactorySpi.`engineGenerateCertPath(InputStream inStream, String encoding)`
Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream.
`CertPath`
CertificateFactorySpi.`engineGenerateCertPath(List<? extends Certificate> certificates)`
Generates a `CertPath` object and initializes it with a `List` of `Certificate`s.
`final CertPath`
CertificateFactory.`generateCertPath(InputStream inStream)`
Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream.
`final CertPath`
CertificateFactory.`generateCertPath(InputStream inStream, String encoding)`
Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream.
`final CertPath`
CertificateFactory.`generateCertPath(List<? extends Certificate> certificates)`
Generates a `CertPath` object and initializes it with a `List` of `Certificate`s.
`CertPath`
CertPathBuilderResult.`getCertPath()`
Returns the built certification path.
`CertPath`
CertPathValidatorException.`getCertPath()`
Returns the certification path that was being validated when the exception was thrown.
`CertPath`
PKIXCertPathBuilderResult.`getCertPath()`
Returns the built and validated certification path.
Methods in java.security.cert with parameters of type CertPath
Modifier and Type
Method
Description
`abstract CertPathValidatorResult`
CertPathValidatorSpi.`engineValidate(CertPath certPath, CertPathParameters params)`
Validates the specified certification path using the specified algorithm parameter set.
`final CertPathValidatorResult`
CertPathValidator.`validate(CertPath certPath, CertPathParameters params)`
Validates the specified certification path using the specified algorithm parameter set.
Constructors in java.security.cert with parameters of type CertPath
Modifier
Constructor
Description
``
`CertPathValidatorException(String msg, Throwable cause, CertPath certPath, int index)`
Creates a `CertPathValidatorException` with the specified detail message, cause, certification path, and index.
``
`CertPathValidatorException(String msg, Throwable cause, CertPath certPath, int index, CertPathValidatorException.Reason reason)`
Creates a `CertPathValidatorException` with the specified detail message, cause, certification path, index, and reason.
``
`PKIXCertPathBuilderResult(CertPath certPath, TrustAnchor trustAnchor, PolicyNode policyTree, PublicKey subjectPublicKey)`
Creates an instance of `PKIXCertPathBuilderResult` containing the specified parameters.

## Uses of CertPath in jdk.security.jarsigner

Constructors in jdk.security.jarsigner with parameters of type CertPath
Modifier
Constructor
Description
``
`Builder(PrivateKey privateKey, CertPath certPath)`
Creates a `JarSigner.Builder` object with a private key and a certification path.